/**
 * 工作交接单
 */
shr.defineClass("shr.custom.WorkHandoverEdit", shr.framework.Edit, {
	initalizeDOM: function () {
		shr.custom.WorkHandoverEdit.superClass.initalizeDOM.call(this);
		//设置组件事件
		this.setComponentEvent();
		//设置审批权限接收人是否可见
		this.setApproverHandoverVisible();
		var billStateVal = 0;
		if (this.getOperateState() != "VIEW") {
			billStateVal = $("#billState").shrSelect("getValue").value;
		} else {
			billStateVal = $("#billState").val();
		}
		if (billStateVal != 0) {
			$("#auditResult").show();
			$("#workFlowDiagram").show();
			$("#templatePrint").show();
		} else {
			$("#auditResult").hide();
			$("#workFlowDiagram").hide();
			$("#templatePrint").hide();
		}
	},


	/**
	 * 设置组件事件
	 */
	setComponentEvent: function () {
		var self = this;
		if (this.getOperateState() != "VIEW") {
			//离职单
			$("#entrys_resignBizBill").shrPromptBox("option", {
				onchange: function (e, value) {
					if (value.current) {
						shr.remoteCall({
							action: 'getResignBizBillInfoByBillId',
							//uipk: this.uipk,
							type: 'POST',
							async: false,
							param: {
								resignBizBillId: value.current.id
							},
							success: function (resp) {
								console.log(resp);
								//人员
								$("#entrys_person").shrPromptBox("setValue", resp.person);
								//工号
								$("#entrys_person_number").shrTextField("setValue", resp.person.number);
								//行政组织
								$("#entrys_adminOrg").shrPromptBox("setValue", resp.adminOrg);
								//离职变动操作
								$("#entrys_resHrBizDefine").shrPromptBox("setValue", resp.hrBizDefine);
								//职位
								$("#entrys_position").shrPromptBox("setValue", resp.position);
								//职级
								$("#entrys_jobGrade").shrPromptBox("setValue", resp.jobGrade);
								//离职前用工关系状态
								$("#entrys_oldEmpType").shrPromptBox("setValue", resp.oldEmpType);
								//离职用工关系状态
								$("#entrys_empType").shrPromptBox("setValue", resp.empType);
								//离职原因
								$("#entrys_resVariationReason").shrPromptBox("setValue", resp.variationReason);
								//最后工作日
								$("#entrys_leftCompanyDate").shrDateTimePicker("setValue", resp.leftCompanyDate);
								//离职日期
								$("#entrys_leftDate").shrDateTimePicker("setValue", resp.bizDate);
								//是否领导
								$("#entrys_isLeader").shrCheckbox("setValue", resp.isleader);
							}
						});
					} else {
						//人员
						$("#entrys_person").shrPromptBox("setValue", null);
						//工号
						$("#entrys_person_number").shrTextField("setValue", null);
						//行政组织
						$("#entrys_adminOrg").shrPromptBox("setValue", null);
						//离职变动操作
						$("#entrys_resHrBizDefine").shrPromptBox("setValue", null);
						//职位
						$("#entrys_position").shrPromptBox("setValue", null);
						//职级
						$("#entrys_jobGrade").shrPromptBox("setValue", null);
						//离职前用工关系状态
						$("#entrys_oldEmpType").shrPromptBox("setValue", null);
						//离职用工关系状态
						$("#entrys_empType").shrPromptBox("setValue", null);
						//离职原因
						$("#entrys_resVariationReason").shrPromptBox("setValue", null);
						//最后工作日
						$("#entrys_leftCompanyDate").shrDateTimePicker("setValue", null);
						//离职日期
						$("#entrys_leftDate").shrDateTimePicker("setValue", null);
						//是否领导
						$("#entrys_isLeader").shrCheckbox("setValue", false);
					}
					//设置审批权限接收人是否可见
					self.setApproverHandoverVisible();
				}
			});
		}
	},
	/**
	 * 设置审批权限接收人是否可见
	 */
	setApproverHandoverVisible: function () {
		//是否领导
		var isLeader;
		if (this.getOperateState() == "VIEW") {
			isLeader = $("#entrys_isLeader").val();
		} else {
			isLeader = $("#entrys_isLeader").shrCheckbox("getValue");
		}
		if (isLeader == true || isLeader == 1) {
			//显示审批权限接收人
			$("#entrys_approverHandover").parents("div[data-ctrlrole='labelContainer']").show();
			if (this.uipk != "com.kingdee.eas.custom.handover.app.WorkHandover.form") {
				//创建交接单页面不需要填写
				$("#entrys_approverHandover").parents(".ui-promptBox-frame").addClass('required');
				$("#entrys_approverHandover").attr("validate", "{required:true}");
			}
		} else {
			$("#entrys_approverHandover").parents("div[data-ctrlrole='labelContainer']").hide();
			//移除必填
			$("#entrys_approverHandover").parents(".ui-promptBox-frame").removeClass('required');
			$("#entrys_approverHandover").removeAttr("validate");
		}
	}
});